org.apache.felix.scrplugin.description

## Class AbstractDescription

- java.lang.Object
- - org.apache.felix.scrplugin.description.AbstractDescription

Direct Known Subclasses:
  ComponentDescription, PropertyDescription, ReferenceDescription, ServiceDescription

    public abstract class AbstractDescription
    extends Object

`AbstractDescription` is the base class for all descriptions.

See Also:
  `ComponentDescription`, `ServiceDescription`, `ReferenceDescription`, `PropertyDescription`

### Field Summary

Fields
`protected ScannedAnnotation` `annotation` The corresponding annotation from the class file.

### Constructor Summary

Constructors
Constructor and Description
`AbstractDescription(ScannedAnnotation annotation)` Create a new abstract description

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract AbstractDescription` `clone()`
`ScannedAnnotation` `getAnnotation()` Get the annotation.
`String` `getIdentifier()`
`String` `getSource()`
`void` `setSource(String location)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### annotation

    protected final ScannedAnnotation annotation

The corresponding annotation from the class file.

### Constructor Detail

#### AbstractDescription

    public AbstractDescription(ScannedAnnotation annotation)

Create a new abstract description

Parameters:
  `annotation` - The corresponding annotation.

### Method Detail

#### getAnnotation

    public ScannedAnnotation getAnnotation()

Get the annotation.

Returns:
  The annotation or `null`

#### setSource

    public void setSource(String location)

#### getSource

    public String getSource()

#### getIdentifier

    public String getIdentifier()

#### clone

    public abstract AbstractDescription clone()

Overrides:
  `clone` in class `Object`